h1 Transparency
section(style="margin: 1rem 0")
  h2 General information
  ul
    each value, key in general
      li #{key}: #{value}

section(style="margin: 1rem 0")
  h2 Platform
  ul
    each value, key in platform
      li #{key}: #{value}

section(style="margin: 1rem 0")
  h2 Data
  ul
    each value, key in data
      li #{key}: #{value}

section(style="margin: 1rem 0")
  h2 Algorithm
  ul
    each value, key in algorithm
      li #{key}: #{value}

section(style="margin: 1rem 0")
  h2 Parameters
  details
    summary Configuration file given to the algorithm
    pre=JSON.stringify(parameters, null, 2)

section(style="margin: 1rem 0")
  h2 Results
  details
    summary Table display of the results
    table(style="border-collapse: collapse")
      each row in rows
        tr
          td(style="border: 1px solid lightgrey; padding: .5rem")
            div(style="min-width: 16rem; position: relative; border: 1px solid grey; border-radius: 9999px; overflow: hidden;")
              div(
                @click="yolo"
                style=`${row.pattern.style_context_bar} height: 100%; background: #e3342f`
              )
              div(
                role="progressbar"
                style=`${row.pattern.style_progress} height: 1rem`
              )

            p(style="margin: 1rem 0").
              Usual agreement: #{row.refSim}<br>
              Context agreement: #{row.patternSim}<br>

            p Intensity: #{row.quality}

          td(style="text-align: center; border: 1px solid lightgrey;")=row.change

          td(style="border: 1px solid lightgrey; padding: .5rem;")
            ul(style="list-style: none; padding-left: 0;")
              each data in row.g1
                - const [param, value] = data
                li(style="margin: 1rem 0;")
                  div(style="font-size: 0.7em") #{param}:
                  span=value

          td(style="border: 1px solid lightgrey; padding: .5rem;")
            ul(style="list-style: none; padding-left: 0;")
              each data in row.g2
                - const [param, value] = data
                li(style="margin: 1rem 0;")
                  div(style="font-size: 0.7em") #{param}:
                  span=value

          td(style="border: 1px solid lightgrey; padding: .5rem;")
            ul(style="list-style: none; padding-left: 0;")
              each thing in row.context
                - const [param, data] = thing
                li(style="margin: 1rem 0;")
                  div(style="font-size: 0.7em") #{param}:
                  if typeof data == 'object'
                    ul(style="list-style:'– '")
                      each value in data
                        li=value
                  else
                    p=data


section(style="margin: 1rem 0")
  h2 Workflow
  p.
    A CWL (#[a(href="https://www.commonwl.org/") Common Workflow Language])
    workflow is provided, allowing you to re-generate the results. To run it,
    you need to install Docker and a CWL implementation (for example
    #[a(href="https://github.com/common-workflow-language/cwltool") cwltool]).

  p.
    Here is how you would launch the workflow using cwltool:
    #[pre cwltool workflow.cwl args.json]
